%global commit 0a4246b76a86c48d1a856181e8bca4c24621b8c9
%global _internal_version %(c=%{commit}; echo ${c:0:7})
%global date 20240613
%global pb_version 6.2.0

Name:           nemo-extensions
Version:        6.2.0
#Release:        %mkrel -c %{date}.git%{_internal_version} 1
Release:        %mkrel 1
Summary:        Extensions for Nemo
Group:          Graphical desktop/Cinnamon
License:        GPLv2+ and LGPLv2
URL:            http://cinnamon.linuxmint.com

Source0:    https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/nemo-extensions-%{version}.tar.gz
#Source0: https://github.com/linuxmint/nemo-extensions/tarball/%{_internal_version}#/nemo-extensions-%{version}.git%{_internal_version}.tar.gz
Patch0:  nemo-python-meson.patch
#Patch1:  nemo-preview-webkit2gtk-4.1.patch


BuildRequires:  pkgconfig(libnemo-extension)
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gpgme-devel
BuildRequires:  libcryptui-devel
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  libgnome-keyring-devel
BuildRequires:  gtk-doc
BuildRequires:  libnotify-devel
BuildRequires:  pkgconfig(cjs-1.0)
BuildRequires:  pkgconfig(libmusicbrainz5)
BuildRequires:  pkgconfig(evince-document-3.0)
BuildRequires:  pkgconfig(evince-view-3.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(webkit2gtk-4.1)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(clutter-x11-1.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(clutter-gst-3.0)
BuildRequires:  pkgconfig(gcr-3)
BuildRequires:  pkgconfig(xreader-document-1.5)
BuildRequires:  pkgconfig(xreader-view-1.5)
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  perl(XML::Parser)
BuildRequires:  meson
BuildRequires:  pkgconfig(gtksourceview-4)

%description
Extensions for Nemo

%package     -n nemo-audio-tab
Summary:     Audio tag information extension for Nemo
License:     GPLv3+
BuildArch:   noarch
Requires:    python3-mutagen
Requires:    nemo-python

%description -n nemo-audio-tab	
nemo-audio-tab is an extension to view audio tag information from the properties tab.

%package     -n nemo-pastebin
Summary:     Pastebin extension for Nemo
License:     GPLv2+
Requires:    pastebinit
Requires:    python3-nemo

%description -n nemo-pastebin
nemo-pastebin is an extension for the Nemo file manager, which allows
users to send files to pastebins just a right-click away.

%package     -n nemo-fileroller
Summary:     File Roller extension for Nemo
License:     GPLv2+
Requires:    file-roller

%description -n nemo-fileroller
This package contains the file-roller extension for the Nemo.

%package     -n python3-nemo
Summary:     Python bindings for Nemo
License:     GPLv2+
Requires:    python3-gobject3
Requires:    python3-requests
Obsoletes:   python2-nemo < %{version}-%{release}
Obsoletes:   nemo-python < %{version}-%{release}
Provides:    nemo-python = %{version}-%{release}

%description -n python3-nemo
Python bindings for Nemo

%package     -n python3-nemo-devel
Summary:     Python bindings for Nemo
License:     GPLv2+
Requires:    python3-nemo = %{version}-%{release}

%description -n python3-nemo-devel
Python bindings for Nemo

%package     -n nemo-terminal
Summary:     Nemo Terminal is a terminal embedded in Nemo
License:     GPLv3+
Requires:    python3-nemo

%description -n nemo-terminal
Nemo Terminal is a terminal embedded in Nemo

%package     -n nemo-preview
Summary:     A quick previewer for Nemo
License:     GPLv2+
Requires:    nemo

%description -n nemo-preview
Nemo Preview is a GtkClutter and Javascript-based quick previewer 
for Nemo.
It is capable of previewing documents, PDFs, sound and video files,
some text files, and possibly others in the future.

To activate the preview, left-click the file and hit space.
The preview can be closed by hitting space again, or escape.

%package     -n nemo-emblems
Summary:     Emblem support for nemo
License:     GPLv3+
BuildArch:   noarch
Requires:    python3-nemo

%description -n nemo-emblems
Restores the emblems functionality that used to be in GNOME 2.

%package     -n nemo-image-converter
Summary:     Nemo extension to mass resize images
Requires:    ImageMagick
License:     GPLv3+

%description -n nemo-image-converter
Adds a "Resize Images..." menu item to the context menu. This opens a dialog where you set the desired image size and file name.

%package     -n nemo-compare
Summary:     Context menu comparison extension for nemo
License:     GPLv3+
BuildArch:   noarch
Requires:    python3-nemo
Requires:    meld

%description -n nemo-compare
Context menu comparison extension for Nemo file manager. 

%package     -n nemo-share
Summary:     Nemo shares
License:     GPLv3+

%description -n nemo-share
Nemo shares
	
%package     -n nemo-seahorse
Summary:     PGP encryption and signing for Nemo
License:     GPLv2+ and LGPLv2
Requires:    seahorse%{?_isa}

%description -n nemo-seahorse
Seahorse nemo is an extension for nemo which allows encryption
and decryption of OpenPGP files using GnuPG. 

%prep
#autosetup -p1 -n linuxmint-nemo-extensions-%{_internal_version}
%autosetup -p1 -n nemo-extensions-%{version}
cat >> nemo-python/meson.build <<EOP
deps += dependency('gmodule-2.0')
EOP

pushd nemo-audio-tab
%py3_build	
popd

%build
pushd nemo-pastebin
%py3_build
popd

pushd nemo-fileroller
%meson
%meson_build
popd

pushd nemo-python
%meson
%meson_build
popd

pushd nemo-preview
%meson
%meson_build
popd

pushd nemo-image-converter
%meson
%meson_build
popd

pushd nemo-compare
%py3_build
popd

pushd nemo-share
%meson
%meson_build
popd

pushd nemo-seahorse
%meson
%meson_build
popd

%install
pushd nemo-audio-tab
%py3_install	
popd

pushd nemo-pastebin
%py3_install
popd

pushd nemo-fileroller
%meson_install
popd

pushd nemo-python
%meson_install
popd

pushd nemo-terminal
%py3_install
popd

pushd nemo-preview
%meson_install
popd

pushd nemo-emblems
install -pm 0644 nemo-extension/nemo-emblems.py %{buildroot}%{_datadir}/nemo-python/extensions/
chmod -x COPYING.GPL3
popd

pushd nemo-image-converter
%meson_install
popd

pushd nemo-compare
%py3_install
popd

pushd nemo-share
%meson_install
popd

pushd nemo-seahorse
%meson_install	
popd 

%files -n nemo-audio-tab
%license nemo-audio-tab/COPYING.GPL3
%{_datadir}/nemo-python/extensions/nemo-audio-tab.py
%{_datadir}/nemo-audio-tab/nemo-audio-tab.glade
%{python3_sitelib}/nemo_audio_tab-%{version}-py%{python3_version}.egg-info/

%files -n nemo-pastebin
%doc nemo-pastebin/{README,NEWS}
%license nemo-pastebin/COPYING
%{_bindir}/nemo-pastebin-configurator
%{_datadir}/nemo-python/extensions/nemo-pastebin.py
%{python3_sitelib}/nemo_pastebin-%{version}-py%{python3_version}.egg-info/
%{_datadir}/glib-2.0/schemas/nemo-pastebin.gschema.xml
%{_datadir}/nemo-pastebin/
%{_datadir}/icons/hicolor/*/apps/nemo-pastebin.*

%files -n nemo-fileroller
%doc nemo-fileroller/README
%license nemo-fileroller/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-fileroller.so

%files -n python3-nemo
%doc nemo-python/README
%doc nemo-python/examples
%license nemo-python/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-python.so
%{_datadir}/nemo-python/
%exclude %{_datadir}/nemo-python/extensions/*

%files -n python3-nemo-devel
%{_libdir}/pkgconfig/nemo-python.pc

%files -n nemo-terminal
%doc nemo-terminal/README
%license nemo-terminal/COPYING
%{_bindir}/nemo-terminal-prefs
%{_datadir}/nemo-python/extensions/nemo_terminal.py
%{_datadir}/nemo-terminal/
%{_datadir}/glib-2.0/schemas/org.nemo.extensions.nemo-terminal.gschema.xml
%{python3_sitelib}/nemo_terminal-%{version}-py%{python3_version}.egg-info/

%files -n nemo-preview
%doc nemo-preview/README
%license nemo-preview/COPYING
%{_bindir}/nemo-preview
%{_libdir}/nemo-preview/
%{_libexecdir}/nemo-preview-start
%{_datadir}/nemo-preview/
%{_datadir}/dbus-1/services/org.nemo.Preview.service

%files -n nemo-emblems
%license nemo-emblems/COPYING.GPL3
%{_datadir}/nemo-python/extensions/nemo-emblems.py*

%files -n nemo-image-converter
%doc nemo-image-converter/README
%license nemo-image-converter/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-image-converter.so
%{_datadir}/nemo-image-converter/

%files -n nemo-compare
%{_bindir}/nemo-compare-preferences
%{_datadir}/nemo-python/extensions/nemo-compare.py
%{_datadir}/nemo-compare/nemo-compare-preferences.py
%{_datadir}/nemo-compare/utils.py*
%{python3_sitelib}/nemo_compare-%{version}-py%{python3_version}.egg-info/

%files -n nemo-share
%{_datadir}/nemo-share/*
%{_datadir}/polkit-1/actions/*.policy
%{_libdir}/nemo/extensions-3.0/libnemo-share.so

%files -n nemo-seahorse
%doc nemo-seahorse/{AUTHORS,COPYING,README,NEWS,ChangeLog}
%{_bindir}/nemo-seahorse-tool
%{_libdir}/nemo/extensions-3.0/libnemo-seahorse.so
%{_datadir}/glib-2.0/schemas/org.nemo.plugins.seahorse*gschema.xml
%{_datadir}/nemo-seahorse/
%{_mandir}/man1/nemo-seahorse-tool.1.* 


%changelog
* Sun Jul 28 2024 joequant <joequant> 6.2.0-1.mga10
+ Revision: 2082750
- update to 6.2.0

* Mon Dec 25 2023 joequant <joequant> 6.0.1-1.mga10
+ Revision: 2021232
- uypdate to 6.0.1

* Wed Dec 20 2023 joequant <joequant> 6.0.0-1.mga10
+ Revision: 2020026
- revert release bump
- rebuild with new python

* Sat Sep 02 2023 joequant <joequant> 5.8.0-1.mga10
+ Revision: 1983586
- update to 5.8.0

* Sun Dec 04 2022 joequant <joequant> 5.6.0-1.mga9
+ Revision: 1917862
- update to 5.6.0

* Sun Aug 07 2022 joequant <joequant> 5.4.1-1.mga9
+ Revision: 1875908
- update to 5.4.1

* Fri Jul 01 2022 joequant <joequant> 5.4.0-1.mga9
+ Revision: 1867046
- update to 5.4.1

* Tue Apr 05 2022 umeabot <umeabot> 5.2.0-3.mga9
+ Revision: 1844791
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 5.2.0-2.mga9
+ Revision: 1774656
- rebuild for python 3.10

* Sat Nov 27 2021 joequant <joequant> 5.2.0-1.mga9
+ Revision: 1759581
- update to 5.2.0

* Wed Jun 02 2021 joequant <joequant> 5.0.0-1.mga9
+ Revision: 1729287
- update to 5.0.0

* Sat Mar 20 2021 joequant <joequant> 4.8.0-3.mga9
+ Revision: 1705775
- fix file list
- update to python 3.9

* Fri Dec 11 2020 joequant <joequant> 4.8.0-2.mga8
+ Revision: 1655320
- update extensions

* Tue Dec 08 2020 joequant <joequant> 4.8.0-1.mga8
+ Revision: 1654610
- update to 4.8.0

* Sat May 16 2020 joequant <joequant> 4.6.0-1.mga8
+ Revision: 1584326
- update to 4.6.0

* Sun May 10 2020 joequant <joequant> 4.4.1-0.20200331.git0b9d691.1.mga8
+ Revision: 1582817
- update to get gcc10 patch
+ daviddavid <daviddavid>
- remove unneeded python2 build dependency on pkgconfig(pygobject-2.0)

* Sun Apr 26 2020 wally <wally> 4.4.0-5.mga8
+ Revision: 1572345
- drop vte requires from nemo-terminal

* Wed Feb 19 2020 umeabot <umeabot> 4.4.0-4.mga8
+ Revision: 1542860
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
+ joequant <joequant>
- clean up build

* Tue Jan 07 2020 joequant <joequant> 4.4.0-2.mga8
+ Revision: 1477158
- update requires
- update 4.4.0

* Sun Sep 22 2019 daviddavid <daviddavid> 4.2.0-0.20190706.git337222f.4.mga8
+ Revision: 1444622
- fix python3 dependency

* Sat Sep 14 2019 joequant <joequant> 4.2.0-0.20190706.git337222f.3.mga8
+ Revision: 1440917
- add py3.8 patch
- update to python 3.8

* Sat Jul 06 2019 joequant <joequant> 4.2.0-0.20190706.git337222f.2.mga8
+ Revision: 1418919
- update to 4.2

* Thu Apr 18 2019 umeabot <umeabot> 4.0.2-0.20190208.git9f624b3.2.mga7
+ Revision: 1392835
- Rebuild with meson 0.50.1

* Wed Feb 13 2019 joequant <joequant> 4.0.2-0.20190208.git9f624b3.1.mga7
+ Revision: 1366631
- update to 4.0.2

* Tue Jan 08 2019 tv <tv> 4.0.0-2.mga7
+ Revision: 1352165
- rebuild with python 3.7

* Mon Nov 05 2018 joequant <joequant> 4.0.0-1.mga7
+ Revision: 1328562
- upgrade 4.0.0

* Mon Oct 01 2018 joequant <joequant> 3.8.2-0.20180803.git2750b80.1.mga7
+ Revision: 1314296
- update to post-3.8.2

* Sun Sep 23 2018 umeabot <umeabot> 3.8.0-2.mga7
+ Revision: 1299695
- Mageia 7 Mass Rebuild

* Fri Jun 29 2018 joequant <joequant> 3.8.0-1.mga7
+ Revision: 1240650
- update to 3.8.0

* Sun Apr 29 2018 joequant <joequant> 3.8.0-0.20180413.gitf71cc77.3.mga7
+ Revision: 1223527
- upgrade version

* Sun Mar 18 2018 joequant <joequant> 3.6.0-2.mga7
+ Revision: 1210300
- upgrade extensions
- rebuild with new xapps
- upgrade to 3.6.0

* Mon Jul 17 2017 joequant <joequant> 3.4.0-1.mga7
+ Revision: 1123957
- update to 3.4.0

* Mon Jan 23 2017 joequant <joequant> 3.2.0-1.mga6
+ Revision: 1083168
- upgrade to 3.2.0

* Tue May 03 2016 joequant <joequant> 3.0.0-1.mga6
+ Revision: 1008845
- upgrade to 3.0.0

* Wed Mar 16 2016 luigiwalser <luigiwalser> 2.8.x-3.mga6
+ Revision: 992178
- try building with webkit2

* Tue Feb 16 2016 umeabot <umeabot> 2.8.x-2.mga6
+ Revision: 961723
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 joequant <joequant> 2.8.x-1.mga6
+ Revision: 894218
- upgrade to 2.8.x

* Tue Sep 08 2015 joequant <joequant> 2.6.x-4.mga6
+ Revision: 874053
- add new extensions

* Thu Jul 02 2015 fwang <fwang> 2.6.x-3.mga6
+ Revision: 849467
- cleanup spec

* Thu Jul 02 2015 fwang <fwang> 2.6.x-2.mga6
+ Revision: 849451
- rebuild for libmusicbrainz5

* Fri Jun 26 2015 joequant <joequant> 2.6.x-1.mga6
+ Revision: 844407
- upgrade to 2.6

* Wed Dec 03 2014 tmb <tmb> 2.4.x-2.mga5
+ Revision: 800479
- bump rel past testing

* Sun Nov 23 2014 joequant <joequant> 2.4.x-1.mga5
+ Revision: 798397
- upgrade to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.x-5.mga5
+ Revision: 741709
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.x-4.mga5
+ Revision: 727471
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.x-3.mga5
+ Revision: 682830
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Apr 18 2014 joequant <joequant> 2.2.x-1.mga5
+ Revision: 616799
- upgrade to 2.2.x

* Wed Feb 19 2014 tv <tv> 2.0.0-0.20140101.gitc9a8d0c.5.mga5
+ Revision: 594976
- rebuild for new libevdev

* Wed Feb 19 2014 tv <tv> 2.0.0-0.20140101.gitc9a8d0c.4.mga5
+ Revision: 594972
- rebuild for new libevdev

* Fri Feb 07 2014 joequant <joequant> 2.0.0-0.20140101.gitc9a8d0c.3.mga5
+ Revision: 585372
- rebuild for new pango

* Wed Jan 08 2014 joequant <joequant> 2.0.0-0.20140101.gitc9a8d0c.2.mga5
+ Revision: 565561
- push to core/release

* Thu Jan 02 2014 joequant <joequant> 2.0.0-0.20140101.gitc9a8d0c.1.mga4
+ Revision: 563971
- add more buildrequires
- add more buildrequires
- fix depends
- add build requires gobject introspection
- upgrade to latest git

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-0.20130930.gitadeeeb1.4.mga4
+ Revision: 542897
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.0-0.20130930.gitadeeeb1.3.mga4
+ Revision: 497957
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 12 2013 joequant <joequant> 2.0.0-0.20130930.gitadeeeb1.2.mga4
+ Revision: 495929
- fix python-gobject3 dependency

* Sat Oct 12 2013 joequant <joequant> 2.0.0-0.20130930.gitadeeeb1.1.mga4
+ Revision: 495924
- clean up spec
- imported package nemo-extensions

